#!/usr/bin/env python
# -*- coding: utf_8 -*-

from webcreator.event import PySignal

class SignalManager(object):
    actionPostArea = PySignal()
    actionDeleteArea = PySignal()
    actionGetListArea = PySignal()
    actionGetArea = PySignal()
    actionPutArea = PySignal()
    actionPostApp = PySignal()
    actionDeleteApp = PySignal()
    actionGetListApp = PySignal()
    actionGetApp = PySignal()
    actionPutApp = PySignal()
    actionGetListPackage = PySignal()
    actionGetPackage = PySignal()
    actionPostUser = PySignal()
    actionDeleteUser = PySignal()
    actionGetListUser = PySignal()
    actionGetUser = PySignal()
    actionPutUser = PySignal()
    actionPostLogin = PySignal()
    actionGetListLogin = PySignal()
    actionGetLogin = PySignal()
    # file manager api
    actionGetFileInit = PySignal()
    actionGetFileContent = PySignal()
    actionGetFileTree = PySignal()
    actionGetFileDisk = PySignal()
    actionGetFileDown = PySignal()
    actionGetFilePreview = PySignal()

    def __init__(self):
        super().__init__()

signalManager = SignalManager()